import { App } from '@/App';
import { StrictMode } from 'react';
import { createRoot } from 'react-dom/client';

import '@/styles/globals.css';
import '@/styles/dashboard-fixes.css';
import '@/styles/users.css';

const container = document.getElementById('root');

if (container === null) throw new Error('Das Wurzelelement #root fehlt in index.html.');

createRoot(container).render(
    <StrictMode>
        <App />
    </StrictMode>,
);
